
TYPO3.Neos - Feature # 45320

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Should have
Author: Mattias Nilsson Category: UI
Created: 2013-02-09 Assigned To: Aske Ertmann
Updated: 2014-11-02 Due date:
Subject: Support collapsing of inspector property groups
Description

Add the possibility to toggle between open and close inside the different inspector panel parts (see attached screenshot).

Associated revisions
Revision 3cd795d0 - 2013-03-06 19:50 - Mattias Nilsson

[FEATURE] Add support collapsing of inspector property groups

Add the possibility to collapse the different property
groups inside the inspector panel.
Also includes a localstorage setting which the panel
which remember the latest visible or hidden state.

Change-Id: I5703327338afb6d4f4fb63de5462813b2839cf65
Resolves: #45320

Revision 2eb719b7 - 2013-03-08 19:23 - Aske Ertmann

[BUGFIX] Fix overflow and animation of inspector collapsing

This fixes overflow issues where e.g. select boxes was cut in half due
to overflow hidden. This also removes the css3 transition since it
causes too many issues and unable to solve the issue correctly.

Change-Id: I36b33074fbf0d03130be2a4c0fc86f4b86d34c64
Related: #45320

History
#1 - 2013-02-09 16:50 - Mattias Nilsson
- File Screen_Shot_2013-02-09_at_4.46.00_PM.png added

#2 - 2013-02-09 16:51 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#3 - 2013-02-11 13:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#4 - 2013-02-11 14:25 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#5 - 2013-02-12 17:46 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#6 - 2013-02-12 18:11 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#7 - 2013-02-13 11:24 - Aske Ertmann
- Parent task set to #45020

#8 - 2013-02-13 11:27 - Aske Ertmann
- Subject changed from Make the inspector panels collapsible to Support collapsing of inspector property groups

#9 - 2013-02-13 18:46 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#10 - 2013-02-13 18:49 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#11 - 2013-02-14 00:07 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#12 - 2013-02-16 08:11 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#13 - 2013-02-26 16:11 - Aske Ertmann
- Status changed from New to Under Review
#14 - 2013-02-26 16:12 - Aske Ertmann
- Assigned To changed from Mattias Nilsson to Aske Ertmann

#15 - 2013-02-26 16:12 - Aske Ertmann
- % Done changed from 0 to 100

#16 - 2013-02-26 16:13 - Aske Ertmann
- % Done changed from 100 to 90

#17 - 2013-03-06 19:50 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18160

#18 - 2013-03-06 21:37 - Mattias Nilsson
- Status changed from Under Review to Resolved
- % Done changed from 90 to 100

Applied in changeset commit:3cd795d06ae69933bef2ed1a6c478c64b084ba6d.

#19 - 2014-11-02 18:21 - Aske Ertmann
- Status changed from Resolved to Closed

Files
